LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 05-24-2005, 03:31 PM   #1
jojojo
Member
 
Registered: Feb 2005
Location: Kuala Lumpur, Malaysia
Distribution: Fedora Core 5
Posts: 121

Rep: Reputation: 15
Install package prob


I was installing aalib-devel.....rpm package. Below are the process:

Code:
[root@localhost Desktop]# yum install aalib-devel*
Setting up Install Process
Setting up Repos
livna-stable              100% |=========================|  951 B    00:00
updates-released          100% |=========================|  951 B    00:00
livna-unstable            100% |=========================|  951 B    00:00
base                      100% |=========================| 1.1 kB    00:00
livna-testing             100% |=========================|  951 B    00:00
Reading repository metadata in from local files
livna-stab: ################################################## 217/217
primary.xml.gz            100% |=========================| 345 kB    00:03
MD Read   : ################################################## 890/890
updates-re: ################################################## 890/890
livna-unst: ################################################## 68/68
base      : ################################################## 2622/2622
livna-test: ################################################## 44/44
Examining aalib-devel-1.4.0-5.1.fc3.rf.i386.rpm: aalib-devel - 1.4.0-5.1.fc3.rf.i386
Marking aalib-devel-1.4.0-5.1.fc3.rf.i386.rpm to be installed
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package aalib-devel.i386 0:1.4.0-5.1.fc3.rf set to be updated
--> Running transaction check
--> Processing Dependency: ncurses-devel for package: aalib-devel
--> Processing Dependency: gpm-devel for package: aalib-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for gpm-devel to pack into transaction set.
gpm-devel-1.20.1-66.i386. 100% |=========================|  12 kB    00:00
---> Package gpm-devel.i386 0:1.20.1-66 set to be updated
---> Downloading header for ncurses-devel to pack into transaction set.
ncurses-devel-5.4-13.i386 100% |=========================|  88 kB    00:00
---> Package ncurses-devel.i386 0:5.4-13 set to be updated
--> Running transaction check

Dependencies Resolved
Transaction Listing:
  Install: aalib-devel.i386 0:1.4.0-5.1.fc3.rf - aalib-devel-1.4.0-5.1.fc3.rf.i386.rpm

Performing the following to resolve dependencies:
  Install: gpm-devel.i386 0:1.20.1-66 - base
  Install: ncurses-devel.i386 0:5.4-13 - base
Total download size: 1.7 M
Is this ok [y/N]: y
Downloading Packages:
(1/2): gpm-devel-1.20.1-6 100% |=========================|  24 kB    00:00
(2/2): ncurses-devel-5.4- 100% |=========================| 1.4 MB    00:14
warning: rpmts_HdrFromFdno: V3 DSA signature: NOKEY, key ID 6b8d79e6
public key not available for aalib-devel-1.4.0-5.1.fc3.rf.i386.rpm
At the end there you see "public key not available for aalib-devel-1.4.0-5.1.fc3.rf.i386.rpm". What does it mean? Is the istallation finish?
 
Old 05-24-2005, 06:41 PM   #2
homey
Senior Member
 
Registered: Oct 2003
Posts: 3,057

Rep: Reputation: 56
Quote:
Performing the following to resolve dependencies:
Install: gpm-devel.i386 0:1.20.1-66 - base
Install: ncurses-devel.i386 0:5.4-13 - base
It looks like your package came from the Fedora base repo. The message at the bottom means you have gpg checking turned on which is good, but you haven't imported the gpg keys yet.
To do that, try this command as root user:
rpm --import /usr/share/rhn/RPM-GPG-KEY-fedora

Just in case you haven't done the livna key yet, that uses the command:
rpm --import http://rpm.livna.org/RPM-LIVNA-GPG-KEY

Also, if you are interested, here is the repo for Fedora extras with key instructions....
Code:
[extras]
name=Fedora Extras - $releasever - $basearch
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/extras/$releasever/$basearch/
enabled=1
gpgcheck=1

To import the key: 
rpm --import http://download.fedora.redhat.com/pu...-Fedora-Extras
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Install prob with suse 9.1 noooob Linux - Newbie 2 08-29-2004 05:21 PM
Does apt-get install <package> upgrade the package if it is already installed? davidas Debian 4 04-05-2004 06:12 PM
Install prob with lmme gruger Linux - Software 1 06-23-2003 07:51 PM
strange install prob spooge Linux - General 2 04-07-2003 09:08 AM
Man 9.0 printer ? hardware prob ? install prob romcgill Linux - Hardware 2 02-24-2003 04:54 AM


All times are GMT -5. The time now is 07:03 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration